#15 on Fast Company’s Best Workplaces for Innovators List – Learn more

Kubernetes is removing multiple APIs – here’s how to protect yourself

1 3ppo7 y2y hq0hu7pvvtka

Not thoroughly reading the K8s release notes can (and will!) backfire on your containerized workloads.

We all know Kubernetes has a long history of deprecating APIs. For a fast-paced open-source product, it’s somewhat expected. Often, moving forward fast also means losing backward compatibility. The latest Kubernetes v1.22 release is especially significant in that regard because APIs will not only be announced as deprecated but removed from the code:

1 prhkjx2h5mz1lwxgt15jig@2x

Imagine what will happen when your favorite managed Kubernetes service (AWS EKS, Google GKE, etc.) upgrades your production cluster to a v1.22 release. Unavoidably, things will break, and your workloads might be significantly impacted.

1 3ppo7 y2y hq0hu7pvvtka (1)
Your K8s workloads can experience serious turbulence during the v1.22 upgrade

How do I know if this will impact my cluster?

How do you know if your K8s cluster uses any of the soon-to-be-removed or deprecated APIs? Kubernetes itself doesn’t provide an easy way of listing APIs that are going to be removed soon.

Luckily for you, the DoiT International Cloud Reliability Engineering team has developed kubent (aka, Kube No Trouble)— a tool that many K8s users use to detect just that.

You can read how to install and use kubent directly from Stepan Stipl, the original author in his blog post.

Subscribe to updates, news and more.